import java.util.Random;

public class Question3d{
  public static void main(String[] args){
    int subsequence_length = 12;
    
    Random generator = new Random(514419);
    // this will holde the 1000 numbers we want to use
    int[] random_number_sequence = new int[1000];
    
    // We will use these variables to test a particular subsequence
    // think of it as a sliding window over the bigger subsequence
    int product = 1;
    int[] subsequence = new int[subsequence_length];
    
    // These variables will store the greatest product
    // and corresponding sequence
    int greatest_product = 1;
    int[] greatest_subsequence = new int[subsequence_length];
    
    for(int i = 0; i < random_number_sequence.length; i++){
      random_number_sequence[i] = generator.nextInt(9);
    }
    
    for(int i = 0; i < 1000 - subsequence.length; i++){
      product = 1;
      for(int j = 0; j < subsequence.length; j++){
        subsequence[j] = random_number_sequence[i+j];
        product = product * subsequence[j];
      }
      
      if (product > greatest_product){
         // save greatest product so far
         greatest_product = product;
         // copy the current subsequence values
         for(int j = 0; j < subsequence.length; j++){
           greatest_subsequence[j] = subsequence[j];
         }
      }
    }
    
    // print out the greatest product
    System.out.println("the greatest product is: "+greatest_product);
    System.out.print("the sequence that produced it is: {");
    for(int j = 0; j < greatest_subsequence.length; j++){
      System.out.print( greatest_subsequence[j]);
      if ( j < greatest_subsequence.length - 1){
        System.out.print(", ");
      }
    }
    System.out.println("}");
  }
}