import java.util.Scanner;

public class Question1
{
 public static void main(String[] args)
 {
   Scanner sc = new Scanner(System.in);
   // We will use this variable to check if the user gave us a valid string
   String input_string;
   
   // Prompt the user for some input
   System.out.println("Please type a VALID binary string");
   input_string = sc.nextLine();
   
   while(!CheckInputCorrect(input_string)){
     // Scold the user
     System.out.println("You idiot! That is not a valid binary string.");
     // Let the user try again
     System.out.println("Please type a VALID binary string");
     input_string = sc.nextLine();  
   }
   
   System.out.println(BinaryToNumber(input_string));
   
   sc.close();
 }

 public static boolean CheckInputCorrect(String input)
 {
   // if the string has no character, IT IS NOT A VALID STRING
   if (input.length() == 0){
      return false; 
   }
   // Scan through each character in the input string
   for (int i = 0; i< input.length(); i++){
      // if the character is not '0' or '1', the string is invalid
      // return false to stop scanning.
      if (input.charAt(i) != '0' && input.charAt(i) != '1'){
        return false; 
      }
   }
   // We finished scanning the full string, and there were no invalid characters
   // therefore the string is a valid binary number
   return true; 
 }


 public static int BinaryToNumber(String numberInput)
 {
   // this will store the power of two that corresponds to each digit
   // e.g it is 2^0 = 1 for the first digit.
   int pow = 1;
   int count = 0;
   // Scan the string from RIGHT to LEFT
   for ( int i = numberInput.length()-1; i>=0 ; i--){
     // we check if the character at position i in the string
     // is equal to '1'
     if (numberInput.charAt(i) == '1'){
       // if it is, we add 1*pow, since pow
       // must be equal to 2^(numberInput.lenght -1 -i)
       count = count + pow;
     }
     // for the next character, we calculate the next power of 2
     pow = pow*2;
   }
  return count; 
 }
}