public class Question2
{
 public static void main(String[] args) 
 {
  //Here is your code you need to implement in 
  //order to draw axis, lines and parabola
   int width = 20;
   int height = 20;
   double line_a = 1;
   double line_b = 1;
   double parabola_a = 0.3;
   double parabola_b = 1;
   double parabola_c = -2;
   
   for (int y = height/2; y >= -height/2; y--){
     for (int x = -width/2; x <= width/2; x++){
       // check if DrawAxis returns some character different to ""
       if(!DrawAxis(x,y).equals("")){
         System.out.print(DrawAxis(x, y));
       } 
       // check if DrawLine returns some character different to ""
       else if(!DrawLine(x, y, line_a, line_b).equals("")){
         System.out.print(DrawLine(x, y, line_a, line_b));
       }
       // check if DrawLine returns some character different to ""
       else if(!DrawParabola(x, y, parabola_a, parabola_b, parabola_c).equals("")){
         System.out.print(DrawParabola(x, y, parabola_a, parabola_b, parabola_c));
       }
       else {
         System.out.print(" ");
       }
     }
     System.out.println();
   }
 }

 public static String DrawAxis(int i, int j)
 {
  //return the charateter to be drawn
   // this is the condition for the origin
   if ( i == 0 && j == 0){
     return ".";
   }
   // Assuming that the size of the grid is 20 x 20
   // this is the condition for the vertical arrow head
   else if ( i == 0 && j == 10 ){
     return "^"; 
   }
   // Assuming that the size of the grid is 20 x 20
   // this is the condition for the horizontal arrow head
   else if ( i == 10 && j == 0 ){
     return ">"; 
   }   
   // this is the condition for the vertical axis
   else if ( i == 0 && j != 0 ){
     return "|"; 
   }
   // this is the condition for the horizontal axis
   else if ( i != 0 && j == 0 ){
     return "-"; 
   }
  //return empty string if nothing needs to be drawn here.
  return ""; 
 }

 public static String DrawLine(int i, int j, double a, double b)
 {
  //use the linear form y=ax+b
  //return the charateter to be drawn
  double thickness = 0.5;
  // This is relaxing the equality of the line. Instead of
  // printing only when j = a*i + b, we let a*i + b lie within
  // the range [j - thickness, j + thickness].
  if ( j - thickness <= a*i + b &&
       j + thickness >= a*i + b ){
   return "*";
  }
  //return empty string if nothing needs to be drawn here.
  return ""; 

 }
 public static String DrawParabola(int i, int j, double a, double b, double c)
 {
  //use the parabol form y=ax^2+b*x+c
  //return the charateter to be drawn
   double thickness = 1.5;
  // This is relaxing the equality of the line. Instead of
  // printing only when j = a*i + b, we let a*i + b lie within
  // the range [j - thickness, j + thickness].
  if ( j - thickness <= a*i*i + b*i + c &&
       j + thickness >= a*i*i + b*i + c ){
   return "#";
  }
   
  //return empty string if nothing needs to be drawn here.
  return ""; 

 }
}
